1. Mailboxes
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
    • Get Order Status
    • Creates order json
    • Order mailboxes (json)
    • Process the Order
    • Create Order
    • Add mailboxes to a subscription
  • Mailboxes
    • Get mailboxes for user
      GET
    • Get mailbox details by id
      GET
    • Get Mailbox Admin Details
      GET
    • Update mailbox details
      PATCH
    • Remove mailbox
      DELETE
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Mailboxes

Get mailboxes for user

GET
/mailboxes/single

List Mailboxes for a Specific User#

This endpoint retrieves a paginated list of mailboxes associated with a specific user. It supports filtering through a search query based on domain name, first name, last name, and username.

Query Parameters#

NameTypeDescription
userIdstringThe unique ID of the user whose mailboxes need to be fetched. (Required)
limitnumberThe number of records to return per page. Default is 50.
pagenumberThe page number to retrieve. Default is 1.
searchstringA search keyword to filter mailboxes by email address, domain name, first name, last name, or username.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://customers.coldmailreseller.com/api/v1/integration/mailboxes/single?userId={{user-id}}' \
--header 'cmr-x-api-key: <api-key>'

Responses

🟢200Success
application/json
Body

Example
{
    "status": 200,
    "message": "Mailbox details fetched successfully",
    "data": {
        "user": {
            "id": "PWM7Y25RYZ450YNM8K8FX9GK5AHX",
            "firstName": "jake",
            "lastName": "goa",
            "email": "jake@company.com"
        },
        "mailboxes": [
            {
                "firstName": "john",
                "lastName": "doe",
                "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg",
                "username": "john.s",
                "domain": "gettierservices.org",
                "email": "john.s@gettierservices.org",
                "password": "3@RDjKv@IGi7H4",
                "isAdmin": true,
                "appPassword": "pony ppos micx xycp",
                "authenticatorSecret": null,
                "serviceProvider": "GOOGLE",
                "id": "PWM7Y25RYZ450YNM8K8FX9GK5AHF",
                "expireOn": "2025-12-31T23:59:59Z"
            },
            {
                "firstName": "jean",
                "lastName": "doe",
                "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg",
                "username": "jean.s",
                "domain": "topkkl.org",
                "email": "jean.s@topkkl.org",
                "password": "1B1FNyg0#$PF9f",
                "isAdmin": false,
                "appPassword": "rena ppos micx xycp",
                "authenticatorSecret": null,
                "serviceProvider": "MICROSOFT",
                "id": "PWM7Y25RYZ450YNM8K8FHUGK5AHF",
                "expireOn": "2025-12-31T23:59:59Z"
            }
        ],
        "pagination": {
            "totalSearchedCount": 138,
            "currentPage": 1,
            "nextPage": 2,
            "totalPages": 69
        }
    }
}
Modified at 2026-02-20 19:32:30
Previous
Add mailboxes to a subscription
Next
Get mailbox details by id
Built with